{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}

{% block title %} New contract {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            Contracts
        </p>
        <p class="subtitle">
            Amend contract
        </p>
    </div>
</section>
<br>

<div class="column is-one-third is-offset-one-third">
    <div class="card">
        <div class="section">
            <h3 class="title is-3 has-text-centered mb-6">Prospective employee details</h3>

            <form action="{% url 'amend_contract' %}" method="POST">
                {% csrf_token %}
                {{form|crispy }}
                {% if error_code == 1 %}
                    <div class="has-text-weight-bold">
                        <p class="has-text-danger-dark">* The mentioned total budget is greater than project budget.</p><br>
                    </div>
                {% endif %}
                {% if error_code == 2 %}
                    <div class="has-text-weight-bold">
                        <p class="has-text-danger-dark">* The mentioned contract end date is greater than project end date.</p><br>
                    </div>
                {% endif %}
                {% if error_code == 3 %}
                <div class="has-text-weight-bold">
                    <p class="has-text-danger-dark">* The mentioned contract from date is greater than  mentioned contract end date.</p><br>
                </div>
                {% endif %}

                <button type="submit" class="button is-link"> Save </button>
            </form>
        </div>
    </div>
</div>
{% endblock %}